Unable to complete the LEMP installation

August 29, 2016 534 views
LEMP Ubuntu

Hello there,
Apologies for the silly question, but despite following the instructions contained at https://www.digitalocean.com/community/tutorials/how-to-install-linux-nginx-mysql-php-lemp-stack-on-ubuntu-14-04 I am not able to get the FPM running as expected.

I have also tried to add a custom PPA as in ppa ondrej/php5-5.6 or ppa ondrej/php5 and despite being able to install, when it comes to get a .php running I always get a 404 error page.

The only time I was able to get it working was when I installed the ServerPilot script, which at present I don't know what it did on top.

I ended up using the OneClick install droplet now, but I'm curios to understand what I was doing wrong.

Thanks for your support.
Andrea

1 comment
  • Andrea, without more details it's difficult to say for sure where you ran into problems. Sharing the exact errors you encountered could be helpful. Also, this tutorial is for Ubuntu 14.04 while our current default distribution is 16.04. These instructions will likely not work on 16.04 due to the change from php 5 to php 7. The use of an external PPA should not be required on Ubuntu 14.04 so my best guess is that you were using 16.04 which caused the problems.

Be the first one to answer this question.